Index: ow/templates/add_manual_workout.pt
===================================================================
--- ow/templates/add_manual_workout.pt	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ ow/templates/add_manual_workout.pt	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -8,90 +8,68 @@
       tal:attributes="lang request.locale_name">
 
-  <metal:head-title metal:fill-slot="head-title" metal:define-slot="head-title">
+  <metal:head-title metal:fill-slot="head-title">
     <tal:t i18n:translate="">Add workout manually</tal:t>
   </metal:head-title>
 
-  <metal:title metal:fill-slot="title" metal:define-slot="head-title">
-    <tal:t i18n:translate="">Add workout manually</tal:t>
+  <metal:title metal:fill-slot="title">
+    <tal:t i18n:translate="">Add workout Manually</tal:t>
   </metal:title>
 
   <metal:css metal:fill-slot="css">
-      <link rel="stylesheet" href="${request.static_url('ow:static/components/EasyAutocomplete/easy-autocomplete.min.css')}" />
-      <link rel="stylesheet" href="${request.static_url('ow:static/components/pickadate/themes/default.css')}" />
-      <link rel="stylesheet" href="${request.static_url('ow:static/components/pickadate/themes/default.date.css')}" />
+    <link rel="stylesheet"
+          href="${request.static_url('ow:static/components/EasyAutocomplete/easy-autocomplete.min.css')}" />
   </metal:css>
 
   <metal:content metal:fill-slot="content">
+    <div id="add_workout">
+      ${form.begin()}
+      ${form.csrf_token()}
 
-    <div class="add_workout ow-forms">
-      <a href="" class="back"
-         tal:attributes="href request.resource_url(context)"
-         i18n:translate="">Back</a>
+      <fieldset>
+        ${form.errorlist('sport')}
+        <label for="sport" i18n:translate="">Sport/Activity:</label>
+        ${form.text('sport')}
+        ${form.errorlist('title')}
+        <label for="title" i18n:translate="">Title:</label>
+        ${form.text('title')}
+      </fieldset>
 
-      <h2>
-        <metal:form-title metal:define-slot="form-title">
-          <tal:t i18n:translate="">Add a new workout</tal:t>
-        </metal:form-title>
-      </h2>
+      <fieldset>
+        ${form.errorlist('start_date')}
+        <label for="start_date" i18n:translate="">Start date (dd/mm/yyyy):
+        </label>
+        ${form.text('start_date', size=10)}
+        ${form.errorlist('start_time')}
+        <label for="start_time" i18n:translate="">Start time (HH:MM):</label>
+        ${form.text('start_time', size=5)}
 
-        ${form.begin()}
-        ${form.csrf_token()}
+        <br /> <hr />  <!-- o_O! -->
 
-        <fieldset>
-          <p>
-              <label for="sport" i18n:translate="">Sport/Activity</label>
-              ${form.errorlist('sport')}
-              ${form.text('sport')}
-          </p>
-          <p>
-              <label for="title" i18n:translate="">Title</label>
-              ${form.errorlist('title')}
-              ${form.text('title')}
-          </p>
-          <div class="input-container ly-flex ly-3 has-gap">
-            <div>
-              <label for="distance" i18n:translate="">Distance (Km):</label>
-              ${form.errorlist('distance')}
-              ${form.text('distance', size=4, **{'class': "number"})}
-            </div>
-              <div>
-                  <label for="start_date" i18n:translate="">Start date (dd/mm/yyyy)</label>
-                  ${form.errorlist('start_date')}
-                  ${form.text('start_date', size=10, **{'class': "date"})}
-              </div>
-              <div>
-                  <label for="start_time" i18n:translate="">Start time (HH:MM)</label>
-                  ${form.errorlist('start_time')}
-                  ${form.text('start_time', size=5, **{'class': "time"})}
-              </div>
-          </div>
+        ${form.errorlist('duration_hours')}
+        <label for="duration_hours" i18n:translate="">Hours:</label>
+        ${form.text('duration_hours', size=3)}
 
-          <div class="input-container ly-flex ly-3 has-gap">
-            <div>
-              <label for="duration_hours" i18n:translate="">Hours</label>
-              ${form.errorlist('duration_hours')}
-              ${form.text('duration_hours', size=3, **{'class': "number"})}
-            </div>
-            <div>
-              <label for="duration_minutes" i18n:translate="">Minutes</label>
-              ${form.errorlist('duration_minutes')}
-              ${form.text('duration_minutes', size=3, **{'class': "number"})}
-            </div>
-            <div>
-              <label for="duration_seconds" i18n:translate="">Seconds</label>
-              ${form.errorlist('duration_seconds')}
-              ${form.text('duration_seconds', size=3, **{'class': "number"})}
-            </div>
-          </div>
-          <div>
-            <label for="notes" i18n:translate="">Notes:</label>
-            ${form.errorlist('notes')}
-            ${form.textarea('notes', rows=10, cols=50)}
-          </div>
-        </fieldset>
+        ${form.errorlist('duration_minutes')}
+        <label for="duration_minutes" i18n:translate="">Minutes:</label>
+        ${form.text('duration_minutes', size=3)}
 
-        <tal:with-localizer tal:define="localizer get_localizer(request)">
-          ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
-        </tal:with-localizer>
+        ${form.errorlist('duration_seconds')}
+        <label for="duration_seconds" i18n:translate="">Seconds:</label>
+        ${form.text('duration_seconds', size=3)}
+
+        ${form.errorlist('distance')}
+        <label for="distance" i18n:translate="">Distance (Km):</label>
+        ${form.text('distance', size=4)}
+      </fieldset>
+
+      <fieldset>
+        ${form.errorlist('notes')}
+        <label for="notes" i18n:translate="">Notes:</label>
+        ${form.textarea('notes', rows=10, cols=50)}
+      </fieldset>
+
+      ${form.submit("submit", "Save")}
+      <a href="" tal:attributes="href request.resource_url(request.root)"
+         i18n:translate="">Cancel</a>
 
       ${form.end()}
@@ -102,20 +80,13 @@
 
   <metal:body-js metal:fill-slot="body-js">
-      <script src="${request.static_url('ow:static/components/EasyAutocomplete/jquery.easy-autocomplete.min.js')}"></script>
-      <script src="${request.static_url('ow:static/components/pickadate/picker.js')}"></script>
-      <script src="${request.static_url('ow:static/components/pickadate/picker.date.js')}"></script>
-
-      <script type="text/javascript">
-       $(document).ready(function() {
-           var options = {
-               data: ${request.root.sports_json},
-           };
-           $("#sport").easyAutocomplete(options);
-           $('#start_date').pickadate({
-               format: 'dd/mm/yyyy',
-               formatSubmit: 'dd/mm/yyyy',
-           });
-       });
-      </script>
+    <script src="${request.static_url('ow:static/components/EasyAutocomplete/jquery.easy-autocomplete.min.js')}"></script>
+    <script type="text/javascript">
+      $(document).ready(function() {
+          var options = {
+              data: ${request.root.sports_json},
+          };
+          $("#sport").easyAutocomplete(options);
+      });
+    </script>
   </metal:body-js>
 
